LINUX.ORG.RU

Вышел Calculate Linux 20.6

 ,


1

1

Вышел 21 июня 2020 г.

К 20-летию компании «Калкулэйт» мы рады представить вашему вниманию новый релиз дистрибутива Calculate Linux 20.6!

В новой версии проведены оптимизации загрузки, снижены требования к объему оперативной памяти, добавлена поддержка преднастройки плагинов браузера для работы с Nextcloud.

Для загрузки доступны следующие редакции дистрибутива: Calculate Linux Desktop с рабочим столом KDE (CLD), Cinnamon (CLDC), LXQt (CLDL), Mate (CLDM) и Xfce (CLDX и CLDXS), Calculate Directory Server (CDS), Calculate Linux Scratch (CLS) и Calculate Scratch Server (CSS).

Основные изменения

  • Вместо дискового раздела Swap по умолчанию используется Zram.
  • Переход на сжатие Zstd для ядра, модулей и initramfs.
  • Модули ядра, устанавливаемые из пакетов, теперь также запаковываются в формат Zstd.
  • По умолчанию используется звуковой сервер PulsAudio, но при этом сохранён выбор ALSA.
  • Выполнен переход на браузер Chromium с преднастроенным плагином uBlock Origin.
  • Добавлена поддержка настройки плагинов браузера Passman и FreedomMarks для работы с Nextcloud во время создания профиля пользователя.
  • Вместо Deluge используется qBittorrent.
  • Действие по умолчанию при закрытии крышки ноутбука изменено на suspend.
  • Улучшена поддержка Wi-Fi.
  • Улучшено удаление неиспользуемых зависимостей пакетным менеджером.
  • Изменён порядок образов на мультизагрузочной флешке - основной образ находится всегда в конце.
  • В бинарный репозиторий включены 6 ядер разных версий, в том числе с патчем futex-wait-multiple для ускорения работы Steam.
  • Добавлена преднастройка для ccache для использования как в emerge, так и cl-kernel.

Исправления

  • Исправлено выполнение suspend и hibernate в XFCE.
  • Исправлена работа touchpad после suspend.
  • Исправлено отключение образа при использовании кэширования образа в память (docache).
  • Исправлена настройка локального оверлея.
  • Исправлен вход в сеанс MATE.

Утилиты Calculate

  • Добавлена возможность прерывать сборку пакета при неподходящем патче в шаблонах.
  • Исправлены загрузка и установка PXE.
  • Исправлена ошибка при одновременной настройке пакета и установке его в систему.
  • Добавлена возможность использовать FEATURES=«userpriv» при сборке пакетов.
  • Исправлено определение запущенного emerge при cl-update.
  • Исправлена подготовка дистрибутива для сборки.
  • Добавлено удаление .old-файлов в /boot при запаковке дистрибутива.
  • Добавлена поддержка работы eix-diff в собираемом образе.
  • Группа lpadmin добавлена в список групп по умолчанию.
  • Добавлена поддержка работы утилит с sys-apps/portage без Python 2.7.
  • Исправлена работа с pyopenssl.
  • Исправлено определение видеодрайвера.
  • Добавлена возможность выбора VESA в списке видеодрайверов.
  • Исправлена установка x11-drivers/nvidia-drivers во время загрузки.
  • Исправлена подготовка образа с x11-drivers/nvidia-drivers.
  • Исправлена работа cl-console-gui.
  • Исправлена инициализация пользовательской директории при использовании шифрованного профиля.
  • Добавлена возможность указывать дополнительные параметры загрузки ядра в собираемом образе.
  • Параметр –skip-revdep-rebuild заменён на –revdep-rebuild.
  • Исправлена функция шаблонов world().

Состав пакетов

  • CLD (KDE desktop): KDE Frameworks 5.70.0, KDE Plasma 5.18.5, KDE Applications 19.12.3, LibreOffice 6.4.3.2, Chromium 83.0.4103.106 - 2.73 G
  • CLDC (Cinnamon desktop): Cinnamon 4.4, LibreOffice 6.4.3.2, Chromium 83.0.4103.106, Evolution 3.34.4, Gimp 2.10.18, Rhythmbox 3.4.4 - 2.48 G
  • CLDL (LXQt desktop): LXQt 0.14.1, LibreOffice 6.4.3.2, Chromium 83.0.4103.106, Claws Mail 3.17.5, Gimp 2.10.18, Clementine 1.4.0 RC1 - 2.49 G
  • CLDM (MATE desktop): MATE 1.24, LibreOffice 6.4.3.2, Chromium 83.0.4103.106, Claws Mail 3.17.5, Gimp 2.10.18, Clementine 1.4.0 RC1 - 2.60 G
  • CLDX (Xfce desktop): Xfce 4.14, LibreOffice 6.4.3.2, Chromium 83.0.4103.106, Claws Mail 3.17.5, Gimp 2.10.18, Clementine 1.4.0 RC1 - 2.43 G
  • CLDXS (Xfce Scientific desktop): Xfce 4.14, Eclipse 4.13.0, Inkscape 1.0, LibreOffice 6.4.3.2, Chromium 83.0.4103.106, Claws Mail 3.17.5, Gimp 2.10.18 - 2.79 G
  • CDS (Directory Server): OpenLDAP 2.4.50, Samba 4.11.8, Postfix 3.5.1, ProFTPD 1.3.7 RC3, Bind 9.14.8 - 763 M
  • CLS (Linux Scratch): Xorg-server 1.20.8, Kernel 5.4.45 - 1.27 G
  • CSS (Scratch Server): Kernel 5.4.45, Calculate Utilities 3.6.7.42 - 562 M

Загрузка и обновление

Образы Live USB Calculate Linux доступны для загрузки на странице https://wiki.calculate-linux.org/ru/download

Если у вас уже установлен Calculate Linux, просто обновите вашу систему до версии 20.6.

>>> Анонс

★★★★★

Проверено: cetjs2 ()

Ответ на: комментарий от Jameson

Я не такой дурак, чтобы наступать на грабли самостоятельно подвергать свой комп опастности, чтобы проверить это. Если твой пороль рута спалит хакер, ты же не будешь ждать, пока он скопирует все данные, что бы увидеть, сделает он это или нет? (Лично ты может и будешь, твои посты выглядят так, какбуд-то ты совсем идиот. Но нормальные люди не будут.)

Я не собираюсь каждой сволочи доказывать, что она - сволочь, когда могу просто не иметь с ней дела. Уже несколько лет известно, что гугл - зло, а значит, все созданные им проги - зло, и нарываться дополнительно я не вижу никакого смысла.

anonymous ()
Ответ на: комментарий от spawn_sp

Напиши универсальную последовательность действий для обновления системы. Чтобы после этого все работало. В кальке это cl-update -f

LightDiver ★★★★★ ()
Ответ на: комментарий от Jameson

Да, потому что всё ещё продолжаеш (от слово огребаеш) стелится перед сукой-русичькой, как последний лох.

anonymous ()
Ответ на: комментарий от anonymous

продолжаеш стелится

Может хватит позориться? Мало того что порешь чушь, так ещё и безграмотно её порешь.

Jameson ★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Ответ на: комментарий от Jameson

Как раз наоборот. «ноулайфер» - «человек без жизни», затворник, хикки.

по-моему, наоборот, это люди которые полностью отдаются своей работе, работодателю, лучше всего видно на примере тех же японцев (вот уже где любители крайностей) даже в их фильмах: вкалывают от зари до темна, а когда выходят на пенсию, сидят в прострации как овощи, не зная что делать

хикки, наоборот, как правило чем-то своим так увлечён, нашёл своё любимое занятие, нашёл себя и на всю остальную суету и беготню ему уже насрать

anonymous ()
Ответ на: комментарий от Jameson

кстати, в Кальке не Хром, а Хромиум по дефолту, но не суть

Суть как раз в этом, но пациент видимо не в курсе, что гуглезонды в Google Chrome. Как в анекдоте кароч, про «да-да, и за каждым камнем рак!»

Eva_Berg ()
Ответ на: комментарий от Eva_Berg

Это была ирония, но пациент не понял, как впрочем и всё остальное.

Jameson ★★★ ()
Ответ на: комментарий от Jameson

Нашла все-таки один нужный (по крайне мере мне) юз, которого по дефолту нет - mesa без d3d9 собрана была.

Eva_Berg ()
Ответ на: комментарий от Eva_Berg

Нашла все-таки один нужный (по крайне мере мне) юз, которого по дефолту нет - mesa без d3d9 собрана была.

А оно до сих пор надо? dxvk вроде как же для этого. Я без иронии спрашиваю, просто я нвидиовод и как там у открытых дров дела нынче обстоят не в курсе.

Jameson ★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Ответ на: комментарий от Jameson

А оно до сих пор надо? dxvk вроде как же для этого.

Надо, dxvk это альтернатива dx10-11, а он еще далеко не везде нужен, это для всяких YOBA-крузисов. На галлиуме (сиречь dx9) еще овердофига чего крутится. Мне просто сразу бросилось в глаза что wine ninewinecfg меня лесом послало, глянула - так и есть, d3d9 не вкомпилено. Пересобрала - все заработало. С одной стороны фиг конечно с ним, можно и пересобрать, а с другой если я правильно поняла, меса теперь обновляться будет тоже через перекомпил, а это мягко говоря не тот пакет, на который можно махнуть рукой в штиле «ну и пересоберется и фиг с ним». Мягко говоря оно не маленькое, у меня час или полтора де-то ушло на десктопе. Утешает только то, что меса - не та вещь, которая часто обновляется.

Eva_Berg ()
Последнее исправление: Eva_Berg (всего исправлений: 2)
Ответ на: комментарий от Eva_Berg

Надо, dxvk это альтернатива dx10-11

Туда недавно официально dx9 влили. https://www.opennet.ru/opennews/art.shtml?num=52970

Ну, ccache время будет экономить. Но сдаётся мне это уже не нужно. У меня все dx9 игрули прекрасно играются через dxvk. Так что наверное юз уже можно снова убрать.

Jameson ★★★ ()
Последнее исправление: Jameson (всего исправлений: 3)
Ответ на: комментарий от anonymous

опастности

Это когда у компьютера пасть вырастает?

чтобы проверить

что бы увидеть

Определись уже.

какбуд-то

Для начала по-русски изъясняться научись, а уже потом оскорбляй.

griefer ()
Ответ на: комментарий от Jameson

Туда недавно официально dx9 влили.

Надо тогда видимо профиль wine пересоздавать, потому что на старом вылетала та самая красная надпись от ixit и усе. Щас на ноуте воткну кальку и проверю.

Eva_Berg ()
Ответ на: комментарий от anonymous

А видеокарта какая? В меню загрузчика можно сменить видеодрайвер.

Lautre ★★★★★ ()
Ответ на: комментарий от anonymous

Мдя пичаль какая то. У меня даже на ноуте с гибридкой Intel+ATI установилось вот только что все без плясок с бубном и быстрее чем бубунта :-(

Попробуй более другой драйвер

вот кстати насчет «более другого драйвера», вообще как то возможно разрулить то что у меня без шаманства с cmdline? У меня атиха переходная, на ней как бы по дефолту radeon, но если сделать radeon.si_support=0 amdgpu.si_support=1 то amdgpu работает без проблем. На десктопе мне оказалось достаточно (там родственная видяха, тоже Oland) просто во время установки выбрать amdgpu, а тут-то так не получается - графика intel основная. Без ручного вмешательства получается никак?

Eva_Berg ()
Последнее исправление: Eva_Berg (всего исправлений: 1)
Ответ на: комментарий от Eva_Berg

Это ты еще не видел шаманизма с оменами. Единственный линукс, что удалось на нем запустить - это калька весьма неочевидным способом: сначала в грабе указываем что юзаем нвидиа, грузимся и используем интел. И все работает. Не на всех ядрах ровно, но юзабельно. При этом кеды ругаются, что используется софтрендер (но это не так).

LightDiver ★★★★★ ()
Ответ на: комментарий от Eva_Berg

Думаю что нельзя. Но не уверен. А cl-setup-video --video amdgpu и перезагрузиться, не помогает? Это аналог «radeon.si_support=0 amdgpu.si_support=1» в более других дистрибутивах как я понимаю.

Jameson ★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Ответ на: комментарий от LightDiver

Это ты еще не видел шаманизма с оменами.

Неправильный род глагола. У него сиськи.

Jameson ★★★ ()
Ответ на: комментарий от Jameson

Я для всех использую по умолчанию гендерно-нейтральный мужской род, пока контекст фразы не требует иного.

LightDiver ★★★★★ ()
Ответ на: комментарий от LightDiver

Я для всех использую по умолчанию гендерно-нейтральный мужской род, пока контекст фразы не требует иного.

Гендерно-нейтрально будет использовать средний род, а так это мужской шовинизм. Извиняюсь за оффтоп, я кончил.

Jameson ★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Ответ на: комментарий от Jameson

это если животное, если человек, то мужской

anonymous ()

действительно можно ставить со всеми DE на Pentium Pro?

anonymous ()
Ответ на: комментарий от anonymous

Нет нельзя. Пентиум про 32битный. 32битную кальку прекратили собирать и поддерживать пару релизов назад.

Jameson ★★★ ()
Ответ на: комментарий от anonymous

нихерасе спецэффекты. жалуются что нет альтернативы даже Фотошопа в линуксе, а тут даже Adobe After Effects уделывает в чистую

anonymous ()
Ответ на: комментарий от anonymous

Ну тогда ты выйграл, ставь 32битную кальку на пентиум про, разрешаю.

Jameson ★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Ответ на: комментарий от Jameson

ссылку выложи тогда на дистр 32бит

anonymous ()
Ответ на: комментарий от anonymous

Хороший кстати был камень. Только дум тормозил. А вот квака летала. В 16 битах он был не очень...

Jameson ★★★ ()
Ответ на: комментарий от Jameson

я хотел на третьепень поставить на самом деле, там вообще должно летать

anonymous ()
Ответ на: комментарий от anonymous

Ну не судьба. Можно генту попробовать, но там тоже всё плохо с 32 битами даже в стейбле. Потому собсно кальковцы поддержку и дропнули.

Jameson ★★★ ()
Ответ на: комментарий от Lautre

RX580. Раньше Альт так же был, сейчас ему nomodeset хватает. Тут система простая. Натыкиваешь X -configure, копируешь на место, поправив amdgpu на vesa. При сохранении запускает картинки. Импортозамещение.. :)

anonymous ()
Ответ на: комментарий от Jameson

Хороший кстати был камень

Это случаем не тот, который здоровенный и прямоугольный?:-)

А cl-setup-video –video amdgpu и перезагрузиться, не помогает?

да руки помогают, не понадобилось особо шаманить https://ibb.co/wzJnmQG

А где калька хранит бинарники, которые получаются после emerge -bk proga ?

Eva_Berg ()
Последнее исправление: Eva_Berg (всего исправлений: 2)
Ответ на: комментарий от Lautre

поставлять дефолтным браузером chromium без патчей ungoogled - преступление против приватности пользователей

eternal_sorrow ★★★★★ ()
Ответ на: комментарий от Eva_Berg

Это случаем не тот, который здоровенный и прямоугольный?:-)

Он самый. Тот который самая дорогая и некрасивая кафельная плитка.

А где калька хранит бинарники, которые получаются после emerge -bk proga

Навскидку не помню к сожалению. Возможно где то в дебрях /var/calculate. Поиском по имени получившегося пакета найти не сложно же.

Jameson ★★★ ()
Ответ на: комментарий от Jameson

дожили: ставить вин10 потому что комп установку генту не тянет

anonymous ()
Ответ на: комментарий от spawn_sp

Бывает и так. Вчера одного товарища реально спас. Все чаты и форум заполонил своей проблемой. И это при том, что как он заявляет у него:

calculate-23 (IRC): i have gontoo funtoo redcore linux and calculate linux on 4 different computers- no headache = redcore linux :] (y)

Убрав все изменения в масках флагах стало понятно, что что-то не так с установленными пакетами. Помогло cl-update --rebuild-world

Он ещё успел написать:

calculate-23 (IRC): do you have porthole application? is deprecated - but i have it installed

P.S. И да, велком ту наш чат! )

Lautre ★★★★★ ()
Ответ на: комментарий от anonymous

Поставь alpine какой нибудь. Ну не верю я что нет легковесных дистров x32. Гента неудивительно почему на x32 слилась, там люди конпеляют, поэтому любят мощные и современные компы. И как только на x32 остались 2.5 человека тестировать и багрепортить стало некому. И править баги соответственно тоже стало никому не интересно. Я бы тебе присоветовал что нибудь, но сам не в курсе. У меня ничего антикварного в окрестностях не осталось.

Jameson ★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.